Loading...
Searching...
No Matches
juce::universal_midi_packets::DeviceInfo Struct Reference

`#include <juce_UMPDeviceInfo.h>`

## Public Member Functions

bool | operator== (const DeviceInfo &other) const
bool | operator!= (const DeviceInfo &other) const

## Static Public Member Functions

template<typename Archive, typename This>
static auto | serialise (Archive &archive, This &t)

## Public Attributes

std::array< std::byte, 3 > | manufacturer
| LSB first.
std::array< std::byte, 2 > | family
| LSB first.
std::array< std::byte, 2 > | modelNumber
| LSB first.
std::array< std::byte, 4 > | revision

## Static Public Attributes

static constexpr auto | marshallingVersion = std::nullopt

## Detailed Description

Holds MIDI device info that may be required by certain UMP messages and MIDI-CI messages.

Definition at line 32 of file juce_UMPDeviceInfo.h.

## Member Function Documentation

## operator!=()

bool juce::universal_midi_packets::DeviceInfo::operator!= | ( | const DeviceInfo & | other | ) | const

inline

Definition at line 44 of file juce_UMPDeviceInfo.h.

## operator==()

bool juce::universal_midi_packets::DeviceInfo::operator== | ( | const DeviceInfo & | other | ) | const

inline

Definition at line 43 of file juce_UMPDeviceInfo.h.

## serialise()

template<typename Archive, typename This>

auto juce::universal_midi_packets::DeviceInfo::serialise | ( | Archive & | archive,
|  | This & | t )

inline static

Definition at line 49 of file juce_UMPDeviceInfo.h.

## Member Data Documentation

## family

std::array<std::byte, 2> juce::universal_midi_packets::DeviceInfo::family

LSB first.

Definition at line 35 of file juce_UMPDeviceInfo.h.

## manufacturer

std::array<std::byte, 3> juce::universal_midi_packets::DeviceInfo::manufacturer

LSB first.

Definition at line 34 of file juce_UMPDeviceInfo.h.

## marshallingVersion

auto juce::universal_midi_packets::DeviceInfo::marshallingVersion = std::nullopt

static constexpr

Definition at line 46 of file juce_UMPDeviceInfo.h.

## modelNumber

std::array<std::byte, 2> juce::universal_midi_packets::DeviceInfo::modelNumber

LSB first.

Definition at line 36 of file juce_UMPDeviceInfo.h.

## revision

std::array<std::byte, 4> juce::universal_midi_packets::DeviceInfo::revision

Definition at line 37 of file juce_UMPDeviceInfo.h.

The documentation for this struct was generated from the following file:

- juce_UMPDeviceInfo.h